//Basis code van https://www.youtube.com/watch?v=NlBt-7PuaLk&list=PL9yYRbwpkykvOXrZumtZWbuaXWHvjD8gi&index=7
//Ik heb meegeschreven en uiteindelijk met hulp van andere code de assen omgedraait

// g staat voor group

import { select, 
    csv, 
    scaleLinear, 
    max, 
    scaleBand,
    axisLeft,
    axisBottom,
  	 scaleTime,
        extent
   } from 'd3';

const svg = select('svg');
const width = +svg.attr('width');
const height = +svg.attr('height');

	

	const data = [{"count":"268.308868408","stream_name":"ORP","day":"2019-11-05T17:30:00Z"},{"count":"268.593109131","stream_name":"ORP","day":"2019-11-05T17:45:00Z"},{"count":"268.593109131","stream_name":"ORP","day":"2019-11-05T18:00:00Z"},{"count":"268.498352051","stream_name":"ORP","day":"2019-11-05T18:15:00Z"},{"count":"268.498352051","stream_name":"ORP","day":"2019-11-05T18:30:00Z"},{"count":"268.593109131","stream_name":"ORP","day":"2019-11-05T18:45:00Z"},{"count":"268.877319336","stream_name":"ORP","day":"2019-11-05T19:00:00Z"},{"count":"269.066802979","stream_name":"ORP","day":"2019-11-05T19:15:00Z"},{"count":"269.256286621","stream_name":"ORP","day":"2019-11-05T19:30:00Z"},{"count":"269.351043701","stream_name":"ORP","day":"2019-11-05T19:45:00Z"},{"count":"269.540527344","stream_name":"ORP","day":"2019-11-05T20:00:00Z"}]
	const yValue = d => parseFloat(d.count);
	const xValue = d =>new Date(d.day);
  const margin = {top: 100, right: 100, bottom: 150, left: 100};
	const innerWidth = width - margin.left - margin.right;
	const innerHeight = height - margin.top - margin.bottom;
  
  const xScale = scaleTime()
  	.domain(d3.extent(data,xValue))
  	.range([0, innerWidth]);
  

console.log("asdasdasd",xScale.bandwidth());
  //ticks maken met dezelfde tussensprongen
	const yScale = scaleLinear()
  	.domain(d3.extent(data,yValue))
  	.range([innerHeight, 0]);

  const g = svg.append('g')
  	.attr('transform', `translate(${margin.left},${margin.top})`);
  
  g.append('g').call(axisLeft(yScale));
  g.append('g').call(axisBottom(xScale))
  	.attr('transform', `translate(${0},${innerHeight})`);
  

const yAxisGroup = g.append('g')
  .call(axisLeft(yScale))
	.append('text')
 		.attr('x', -120)
  	.attr('y', -60)
		.attr('fill', 'black')
  	.text('Aantal objecten')
		.attr('transform', `rotate(-90)`);
  
  const xAxisGroup = g.append('g')
  .call(axisBottom(xScale))
  //X as onder zetten ipv boven
  .attr('transform', `translate(0,${innerHeight})`)
	.append('text') 
  	//tekst onder de as plaatsen
  	.attr('y', 35)
  	//bottom tekst in het midden zetten
  	.attr('x', innerWidth / 2)
 	 	.attr('fill', 'black')
  	.text('Categoriën')
  
	g.selectAll('rect').data(data)
  	.enter().append('rect')
  		.attr('x', d => xScale(xValue(d)))
  		.attr('y', d => yScale(yValue(d)))
  		.attr('height', d => innerHeight - yScale(yValue(d)))
  		.attr('width',10);
  
